OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
win32_s.cpp File Reference

Handling of sound for Windows. More...

`#include "../stdafx.h"`
`#include "../openttd.h"`
`#include "../driver.h"`
`#include "../mixer.h"`
`#include "../core/alloc_func.hpp"`
`#include "../core/bitmath_func.hpp"`
`#include "../core/math_func.hpp"`
`#include "win32_s.h"`
`#include <windows.h>`
`#include <mmsystem.h>`
`#include "../os/windows/win32.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static void | PrepareHeader (WAVEHDR *hdr)
static DWORD WINAPI | SoundThread (LPVOID arg)

## Variables
static FSoundDriver_Win32 | iFSoundDriver_Win32
static HWAVEOUT | _waveout
static WAVEHDR | _wave_hdr [2]
static int | _bufsize
static HANDLE | _thread
static DWORD | _threadId
static HANDLE | _event

## Detailed Description

Handling of sound for Windows.

Definition in file win32_s.cpp.